List Follow-ups
curl --request GET \
--url https://app.replyify.ai/api/follow-ups \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.replyify.ai/api/follow-ups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.replyify.ai/api/follow-ups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Follow-ups
List Follow-ups
Retrieve follow-up activities for your workspace
GET
/
api
/
follow-ups
List Follow-ups
ups are scheduled emails sent to contacts at a specific time. They can be created manually or generated automatically by AI.
Query Parameters
string
default:"active"
Filter by status group:
active— scheduled and sending follow-upscompleted— sent, failed, and cancelled follow-upsall— everything
string
Filter by the reply this follow-up is linked to
string
Filter by contact ID
string
Filter by client ID
number
default:"50"
Number of results to return (max 100)
curl -X GET "https://app.replyify.ai/api/follow-ups?status=active" \
-H "Authorization: Bearer YOUR_API_KEY"
const response = await fetch(
"https://app.replyify.ai/api/follow-ups?status=active",
{ headers: { Authorization: "Bearer YOUR_API_KEY" } }
);
const { data } = await response.json();
import requests
response = requests.get(
"https://app.replyify.ai/api/follow-ups",
params={"status": "active"},
headers={"Authorization": "Bearer YOUR_API_KEY"},
)
data = response.json()["data"]
Example Response
{
"data": [
{
"id": "uuid",
"workspace_id": "uuid",
"reply_id": "uuid",
"contact_id": "uuid",
"client_id": "uuid",
"action": "follow_up_message",
"notes": "Mention the pricing discussion",
"draft_message": "Hi John, following up on our pricing chat...",
"due_at": "2025-02-01T10:00:00Z",
"status": "scheduled",
"assigned_to": "uuid",
"created_by": "uuid",
"source": "manual",
"created_at": "2025-01-27T12:00:00Z",
"contacts": {
"first_name": "John",
"last_name": "Doe",
"email": "lead@example.com"
},
"clients": {
"id": "uuid",
"name": "Acme Corp Campaign"
},
"replies": {
"id": "uuid",
"from_name": "John Doe",
"from_email": "lead@example.com",
"subject": "Re: Our services"
}
}
]
}
⌘I